using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LHDN.CRM.Models.Models
{
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("Ref_StatusLevel2")]
    public class StatusLevel2
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int StatusLevel2ID { get; set; }
        
        public int  StatusLevel1ID { get; set; }
        [ForeignKey("StatusLevel1ID")]
        private  StatusLevel1 StatusLevel1 { get; set; }

        [Required]
        [StringLength(250)]
        public string StatusLevel2Name { get; set; }

        [Required]
        public bool IsActive { get; set; }
        [Required]
        [StringLength(255)]
        public string CreatedBy { get; set; }

        [Required]
        public DateTime CreatedDatetime { get; set; }

        [Required]
        [StringLength(255)]
        public string LastUpdatedBy { get; set; }

        [Required]
        public DateTime LastUpdatedDatetime { get; set; }

        public virtual ICollection<StatusLevel3> StatusLevel3 { get; set; }

    }
}
